Subject: Re: bug#41934: reverse-region no longer works

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jun 2020 14:31:25 +0300

> From: Richard Copley <[email-masked]>
> Date: Thu, 18 Jun 2020 20:28:15 +0100
> 
> My opinion is:
> 
> (a) no, it doesn't make sense to complain 'user-error: There are no
> full lines in the region' when there is one full line.
> 
> (b) although we could still throw an error in that case (with a more
> appropriate message), I don't think it would help any users.
> 
> And indeed, I don't think raising the error is helpful even when there
> are zero lines to be reversed. It's probably harmless, but conceivably
> it could complicate somebody's hypothetical keyboard macro, for little
> gain.

Fair enough.

Here's the conundrum: I'd like to install your proposed change, but
the sum total of your contributions to Emacs already exceeds the
amount we can accept without legal papers.  So, unless you are willing
to sign the papers now, we cannot install your change.